Create a workflow trigger

Creates a manual workflow trigger for a concrete resource instance. Provide the payload for exactly one supported target type. Requires the WORKFLOW_TRIGGER.CREATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
workflow_idstringRequired
Workflow executed by this trigger.
typeenumRequired
Source of the trigger execution, such as a manual request or a system event.
Allowed values:
customer_idstring or nullOptional
Customer scope associated with the trigger execution.
invoiceobjectOptional
Invoice trigger details for executions that run on an invoice.
paymentobjectOptional
Payment trigger details for executions that run on a payment.

Response

Created
workflow_idstring
Workflow executed by this trigger.
typeenum
Source of the trigger execution, such as a manual request or a system event.
Allowed values:
object_typestring or nullRead-only
idstring or nullRead-only
customer_idstring or null
Customer scope associated with the trigger execution.
invoiceobject
Invoice trigger details for executions that run on an invoice.
paymentobject
Payment trigger details for executions that run on a payment.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error